OpenNMS API 1.2.9

## org.opennms.netmgt.poller.mock
Class MockScheduler

    java.lang.Object
      org.opennms.netmgt.poller.mock.MockScheduler

All Implemented Interfaces:
  ScheduleTimer, Timer

public class MockScheduler
extends java.lang.Object
implements ScheduleTimer

Field Summary
`private long` `m_currentTime`
`private java.util.SortedMap` `m_scheduleEntries`
`private MockTimer` `m_timer`

Constructor Summary
`MockScheduler()`
`MockScheduler(MockTimer timer)`

Method Summary
`long` `getCurrentTime()`
`java.util.Map` `getEntries()`
`int` `getEntryCount()`
`long` `getNextTime()`
`long` `next()`
`void` `schedule(long interval, ReadyRunnable schedule)`
`long` `tick(int step)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_timer

    private MockTimer m_timer

### m_currentTime

    private long m_currentTime

### m_scheduleEntries

    private java.util.SortedMap m_scheduleEntries

Constructor Detail

### MockScheduler

    public MockScheduler()

### MockScheduler

    public MockScheduler(MockTimer timer)

Method Detail

### schedule

    public void schedule(long interval,
                         ReadyRunnable schedule)

  Specified by:
    `schedule` in interface `ScheduleTimer`

### getEntryCount

    public int getEntryCount()

### getEntries

    public java.util.Map getEntries()

### getNextTime

    public long getNextTime()

### next

    public long next()

### tick

    public long tick(int step)

### getCurrentTime

    public long getCurrentTime()

  Specified by:
    `getCurrentTime` in interface `Timer`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.